# ``twisted`.`trial`.`reporter`.`_ExitWrapper``

class documentation

`class _ExitWrapper(TestResultDecorator): (source)`

Implements interfaces: `twisted.trial.itrial.IReporter`

View In Hierarchy

A wrapper for a reporter that causes the reporter to stop after unsuccessful tests.

Method | `addError` | Record that a test has raised an unexpected exception.
Method | `addFailure` | Record that a test has failed with the given failure.
Instance Variable | `shouldStop` | A boolean indicating that this reporter would like the test run to stop.

Inherited from `TestResultDecorator`:

Instance Variable | `_originalReporter` | The wrapped instance of reporter.

def addError(self, *args, **kwargs): (source)
from `twisted.trial.itrial.IReporter`
Record that a test has raised an unexpected exception.

Parameters
*args | Undocumented
**kwargs | Undocumented
test | The test that has raised an error.
error | The error that the test raised. It will either be a three-tuple in the style of `sys.exc_info()` or a `Failure` object.

def addFailure(self, *args, **kwargs): (source)
from `twisted.trial.itrial.IReporter`
Record that a test has failed with the given failure.

Parameters
*args | Undocumented
**kwargs | Undocumented
test | The test that has failed.
failure | The failure that the test failed with. It will either be a three-tuple in the style of `sys.exc_info()` or a `Failure` object.

shouldStop: `bool` = (source)
from `twisted.trial.itrial.IReporter`
A boolean indicating that this reporter would like the test run to stop.